SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002836SOGo Connectorwith external serverpublic2014-07-03 09:252018-03-16 14:16
Reporterdoncherry 
Assigned Toludovic 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionsuspended 
Platform[Client] MicrosoftOSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0002836: 24.0.5 doesn’t sync at all, 24.0.4 works fine
DescriptionAfter updating to version 24.0.5, SOGo Connector for Tb doesn’t sync my contacts anymore at all. If I downgrade to 24.0.4, the sync works fine.

I enabled the log as described in https://lists.inverse.ca/sogo/arc/users/2013-08/msg00292.html, [^] and this is the log after a fresh reinstall of SOGo Connector, i.e. the address book has not yet been synced onto the computer:

enigmail.js: Registered components
sync.addressbook.groupdav.js: failed to include 'chrome://inverse-library/conten
t/sogoWebDAV.js'
[Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VAL
UE) [nsIXPCComponents_Utils.import]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VA
LUE)" location: "JS frame :: chrome://inverse-library/content/sogoWebDAV.js ::
<TOP_LEVEL> :: line 20" data: no]
File: undefined
Line: 20

 Stack:

undefinedmimeVerify.jsm: module initialized
startup from sogo-connector
exception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap_2.server
s.Archiv.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
 [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" loc
ation: "JS frame :: chrome://sogo-connector/content/general/preference.service.a
ddressbook.groupdav.js :: GdPSvc__getPref :: line 127" data: no] (127)
*** new sync: 1
  1/sync with https://[removed]... [^]
addressbook.groupdav.overlay.js: failed to include 'chrome://inverse-library/con
tent/sogoWebDAV.js'
[Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VAL
UE) [nsIXPCComponents_Utils.import]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VA
LUE)" location: "JS frame :: chrome://inverse-library/content/sogoWebDAV.js ::
<TOP_LEVEL> :: line 20" data: no]sync.addressbook.groupdav.js: failed to includ
e 'chrome://inverse-library/content/sogoWebDAV.js'
[Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VAL
UE) [nsIXPCComponents_Utils.import]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VA
LUE)" location: "JS frame :: chrome://inverse-library/content/sogoWebDAV.js ::
<TOP_LEVEL> :: line 20" data: no]
File: undefined
Line: 20

 Stack:

undefinedexception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap
_2.servers.pab.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
 [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" loc
ation: "JS frame :: chrome://sogo-connector/content/general/preference.service.a
ddressbook.groupdav.js :: GdPSvc__getPref :: line 127" data: no] (127)
exception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap_2.server
s.pab.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
 [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" loc
ation: "JS frame :: chrome://sogo-connector/content/general/preference.service.a
ddressbook.groupdav.js :: GdPSvc__getPref :: line 127" data: no] (127)
exception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap_2.server
s.pab.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
 [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" loc
ation: "JS frame :: chrome://sogo-connector/content/general/preference.service.a
ddressbook.groupdav.js :: GdPSvc__getPref :: line 127" data: no] (127)
exception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap_2.server
s.pab.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
 [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" loc
ation: "JS frame :: chrome://sogo-connector/content/general/preference.service.a
ddressbook.groupdav.js :: GdPSvc__getPref :: line 127" data: no] (127)
exception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap_2.server
s.pab.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
 [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" loc
ation: "JS frame :: chrome://sogo-connector/content/general/preference.service.a
ddressbook.groupdav.js :: GdPSvc__getPref :: line 127" data: no] (127)
exception getting pref 'extensions.ca.inverse.addressbook.groupdav.ldap_2.server
s.pab.url':
[Exception... "Component returned failure code: 0x8000ffff (NS_ERROR_UNEXPECTED)
 [nsIPrefBranch.getCharPref]" nsresult: "0x8000ffff (NS_ERROR_UNEXPECTED)" loc
ation: "JS frame :: chrome://sogo-connector/content/general/preference.service.a
ddressbook.groupdav.js :: GdPSvc__getPref :: line 127" data: no] (127)
Steps To Reproduce- uninstall SOGo Connector
- remove remaining about:config entry/ies starting with `extensions.ca`
- install SOGo Connector 24.0.5
- add new remote address book
? sync doesn’t work
Additional InformationLet me know if I can provide any further information needed!
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0007408)
doncherry (reporter)
2014-08-14 16:07

This problem seems to persist with 24.0.6. I didn’t do the logging again, but the sync just doesn’t work at all, changes aren’t downloaded and I don’t see any notifications where I should. I’ll gladly provide more information if it helps!
(0007527)
tk (reporter)
2014-09-18 08:19

I try to sync a baikal addressbook with a similar behavior.
Thunderbird 31.1.1
SOGo Connector 24.0.6

Console output:
System JS : WARNING resource://gre/components/steelApplication.js:783 - mutating
 the [[Prototype]] of an object will cause your code to run very slowly; instead
 create the object with the correct initial [[Prototype]] value using Object.create
sync.addressbook.groupdav.js: failed to include 'chrome://inverse-library/content/sogoWebDAV.js'
[Exception... "Component returned failure code: 0x80070057 (NS_ERROR_ILLEGAL_VALUE) [nsIXPCComponents_Utils.import]" nsresult: "0x80070057 (NS_ERROR_ILLEGAL_VALUE)" location: "JS frame :: chrome://inverse-library/content/sogoWebDAV.js ::
<TOP_LEVEL> :: line 20" data: no]
File: undefined
Line: 20

 Stack:

undefinedstartup from sogo-connector
*** new sync: 1
  1/sync with https://baikalserveraddress/... [^]
JavaScript error: chrome://sogo-connector/content/general/sync.addressbook.group
dav.js, line 323: request.propfind is not a function


There is no incomming request at the server.

With SOGo Connector 24.0.4 the sync works except the password bug, fixed with 24.0.6
(0007528)
Liantefaron (reporter)
2014-09-22 08:44

I try to sync a Tine 2.0 Koriander (2014.09.01) to Thunderbird 31.1.0/Lightning 3.3 with SOGo Connector 24.0.6 - but the calendar cannot be "activated".

My Thunderbird's error console says:
-------------------------------------------------------------------------
[JavaScript Error: "[calCachedCalendar] replay action failed: null, uri=http://myTine20calendarURL, [^] result=2147500037, op=[xpconnect wrapped calIOperation]"]

followed by 5 warnings:

Warning: getAttributeNodeNS() is deprecated. Use getAttributeNS() instead.
Source file: resource://calendar/modules/calXMLUtils.jsm
Line: 32
-------------------------------------------------------------------------

Is this related to this bug, or a new one?
User avatar (0010516)
ludovic (administrator)
2016-07-21 16:17

Suspending for now, please try the latest extension.
(0010724)
doncherry (reporter)
2016-10-06 16:07

The Problem persists with SOGo Connector 31.0.3. With 24.0.4, when I change a contact, a message about the sync is displayed and the update promptly shows up on the server. With 31.0.3, no notifications are shown at all and changes aren’t synced either. Please let me know if I can help with further information.
User avatar (0010726)
ludovic (administrator)
2016-10-07 12:53

I can reproduce some of the issues - I'll investigate and fix this once for all next week.
(0012147)
doncherry (reporter)
2017-08-01 13:56

This Problem still persists with SOGo Connector 31.0.5, as described in my last comment. Is there any more information I can provide or things I could test?
User avatar (0012737)
ludovic (administrator)
2018-03-16 14:16

Many fixes were pushed recently - try the nightly builds: https://packages.inverse.ca/SOGo/thunderbird/nightly/ [^]

- Issue History
Date Modified Username Field Change
2014-07-03 09:25 doncherry New Issue
2014-08-14 16:07 doncherry Note Added: 0007408
2014-09-18 08:19 tk Note Added: 0007527
2014-09-22 08:44 Liantefaron Note Added: 0007528
2016-07-12 08:05 ludovic Status new => assigned
2016-07-12 08:05 ludovic Assigned To => ludovic
2016-07-21 16:17 ludovic Note Added: 0010516
2016-07-21 16:17 ludovic Status assigned => closed
2016-07-21 16:17 ludovic Resolution open => suspended
2016-10-06 16:07 doncherry Note Added: 0010724
2016-10-06 16:07 doncherry Status closed => feedback
2016-10-06 16:07 doncherry Resolution suspended => reopened
2016-10-07 12:53 ludovic Note Added: 0010726
2017-08-01 13:56 doncherry Note Added: 0012147
2017-08-01 13:56 doncherry Status feedback => assigned
2018-03-16 14:16 ludovic Note Added: 0012737
2018-03-16 14:16 ludovic Status assigned => resolved
2018-03-16 14:16 ludovic Resolution reopened => suspended


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker